MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023278Community[OCCT] OCCT:Foundation Classespublic2012-07-13 17:572012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023278: Buffer underflow using memset in osd_host.cxx
DescriptionIn method OSD_Host :: OSD_Host (), line 261:

ZeroMemory ( szHostName, sizeof ( hostName ) );

sizeof(hostName) gives the size of TCollection_AsciiString and not the one of the array.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0020970)
Pawel (developer)
2012-07-13 18:01

Corresponding git branched pushed. Please review.
(0020996)
abv (manager)
2012-07-16 18:45

No remarks, please test
(0021057)
mkv (tester)
2012-07-19 11:18

Dear BugMaster,
The workbenches
KAS:dev:mkv-23278-occt (GIT branch CR23278)
KAS:dev:mkv-23278-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23278-products_17072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master 8ec3edb0
Timestamp: 2012-07-13 14:00:52
Author: Pawel
Details ] Diff ]
0023278: Buffer underflow using memset in osd_host.cxx

Zero memory uses the size of the array.
mod - src/OSD/OSD_Host.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-13 17:57 Pawel New Issue
2012-07-13 17:57 Pawel Assigned To => Pawel
2012-07-13 18:01 Pawel Note Added: 0020970
2012-07-13 18:01 Pawel Assigned To Pawel => bugmaster
2012-07-13 18:01 Pawel Status new => resolved
2012-07-16 18:45 abv Note Added: 0020996
2012-07-16 18:45 abv Status resolved => reviewed
2012-07-16 19:29 mkv Assigned To bugmaster => mkv
2012-07-19 11:18 mkv Note Added: 0021057
2012-07-19 11:18 mkv Test case number => Not needed
2012-07-19 11:18 mkv Assigned To mkv => bugmaster
2012-07-19 11:18 mkv Status reviewed => tested
2012-07-23 12:20 Pawel Changeset attached => occt master 8ec3edb0
2012-07-23 12:21 Pawel Assigned To bugmaster => Pawel
2012-07-23 12:21 Pawel Status tested => verified
2012-07-23 12:21 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker